Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class OfferOutCostRows 'Az ajánlat egyes sorai mennyibe kerülnek ?
    Inherits BaseObject
    Private _OfferOutHeader As OfferOutHeader
    Private _OfferOutRows As OfferOutRows

    Private _RowGroup1 As String 'Szöveges csoportosítás (nem kötelező)
    Private _RowGroup2 As String 'Szöveges másodlagos csoportosítás (nem kötelező)
    Private _RowIndex As Long 'Sor index (mozgathatónak kell lennie !)

    Private _ShortName As String
    Private _Description As String
    Private _QTT As Double
    Private _Units As Units

    Private _FinalPriceHUF_Out As Double
    Private _FinalPriceDEV_Out As Double
    Private _SumPriceHUF_Out As Double
    Private _SumPriceDEV_Out As Double

    Private _FinalPriceHUF_In As Double
    Private _FinalPriceDEV_In As Double
    Private _SumPriceHUF_In As Double
    Private _SumPriceDEV_In As Double

    Private _DifferentPercent As Double
    Private _DifferentHUF As Double
    Private _DifferentDEV As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("OfferOutCostRows", GetType(OfferOutHeader))> _
    Property OfferOutHeader As OfferOutHeader
        Get
            Return _OfferOutHeader
        End Get
        Set(value As OfferOutHeader)
            SetPropertyValue("OfferOutHeader", _OfferOutHeader, value)
        End Set
    End Property
    Property OfferOutRows As OfferOutRows
        Get
            Return _OfferOutRows
        End Get
        Set(value As OfferOutRows)
            SetPropertyValue("OfferOutRows", _OfferOutRows, value)
        End Set
    End Property

    Property RowGroup1 As String
        Get
            Return _RowGroup1
        End Get
        Set(value As String)
            SetPropertyValue("RowGroup1", _RowGroup1, value)
        End Set
    End Property
    Property RowGroup2 As String
        Get
            Return _RowGroup2
        End Get
        Set(value As String)
            SetPropertyValue("RowGroup2", _RowGroup2, value)
        End Set
    End Property
    Property RowIndex() As Long
        Get
            Return _RowIndex
        End Get
        Set(ByVal value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property

    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property QTT As Double
        Get
            Return _QTT
        End Get
        Set(value As Double)
            SetPropertyValue("QTT", _QTT, value)
        End Set
    End Property
    Property Units As Units
        Get
            Return _Units
        End Get
        Set(value As Units)
            SetPropertyValue("Units", _Units, value)
        End Set
    End Property

    Property FinalPriceHUF_Out As Double
        Get
            Return _FinalPriceHUF_Out
        End Get
        Set(value As Double)
            SetPropertyValue("FinalPriceHUF_Out", _FinalPriceHUF_Out, value)
        End Set
    End Property
    Property FinalPriceDEV_Out As Double
        Get
            Return _FinalPriceDEV_Out
        End Get
        Set(value As Double)
            SetPropertyValue("FinalPriceDEV_Out", _FinalPriceDEV_Out, value)
        End Set
    End Property
    Property SumPriceHUF_Out As Double
        Get
            Return _SumPriceHUF_Out
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceHUF_Out", _SumPriceHUF_Out, value)
        End Set
    End Property
    Property SumPriceDEV_Out As Double
        Get
            Return _SumPriceDEV_Out
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceDEV_Out", _SumPriceDEV_Out, value)
        End Set
    End Property

    Property FinalPriceHUF_In As Double
        Get
            Return _FinalPriceHUF_In
        End Get
        Set(value As Double)
            SetPropertyValue("FinalPriceHUF_In", _FinalPriceHUF_In, value)
        End Set
    End Property
    Property FinalPriceDEV_In As Double
        Get
            Return _FinalPriceDEV_In
        End Get
        Set(value As Double)
            SetPropertyValue("FinalPriceDEV_In", _FinalPriceDEV_In, value)
        End Set
    End Property
    Property SumPriceHUF_In As Double
        Get
            Return _SumPriceHUF_In
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceHUF_In", _SumPriceHUF_In, value)
        End Set
    End Property
    Property SumPriceDEV_In As Double
        Get
            Return _SumPriceDEV_In
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceDEV_In", _SumPriceDEV_In, value)
        End Set
    End Property

    Property DifferentPercent As Double
        Get
            Return _DifferentPercent
        End Get
        Set(value As Double)
            SetPropertyValue("DifferentPercent", _DifferentPercent, value)
        End Set
    End Property
    Property DifferentHUF As Double
        Get
            Return _DifferentHUF
        End Get
        Set(value As Double)
            SetPropertyValue("DifferentHUF", _DifferentHUF, value)
        End Set
    End Property
    Property DifferentDEV As Double
        Get
            Return _DifferentDEV
        End Get
        Set(value As Double)
            SetPropertyValue("DifferentDEV", _DifferentDEV, value)
        End Set
    End Property
End Class
